Last Comment Bug 652179 - MIPS: Select endian/float tests on target
: MIPS: Select endian/float tests on target
Status: RESOLVED FIXED
fixed-in-nanojit, fixed-in-tamarin
:
Product: Core Graveyard
Classification: Graveyard
Component: Nanojit (show other bugs)
: unspecified
: Other Linux
: -- normal (vote)
: ---
Assigned To: Rick Reitmaier
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-22 11:49 PDT by Chris Dearman
Modified: 2014-03-17 08:00 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Select endianess/float support on target (2.05 KB, patch)
2011-04-22 11:52 PDT, Chris Dearman
no flags Details | Diff | Splinter Review
Select endianess/float support on target (2.06 KB, patch)
2011-04-22 11:59 PDT, Chris Dearman
n.nethercote: review+
Details | Diff | Splinter Review

Description Chris Dearman 2011-04-22 11:49:36 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.16) Gecko/20110323 Ubuntu/10.10 (maverick) Firefox/3.6.16
Build Identifier: 

Update the test script for MIPS to select endian and float tests based on target

Reproducible: Always

Steps to Reproduce:
Run make check on a little endian target

Actual Results:  
TEST-UNEXPECTED-FAIL | lirasm | lirasm  --execute ../../lirasm/tests/bigendian/lduc2ui.in
expected output
Output is: 0
actual output
Output is: 53


Expected Results:  
TEST-PASS | lirasm | lirasm  --execute ../../lirasm/tests/littleendian/lduc2ui.in


There are other problems in the testsuite to do with unimplemented opcodes but the first part is to make sure the correct tests are run
Comment 1 Chris Dearman 2011-04-22 11:52:14 PDT
Created attachment 527824 [details] [diff] [review]
Select endianess/float support on target
Comment 2 Chris Dearman 2011-04-22 11:59:08 PDT
Created attachment 527825 [details] [diff] [review]
Select endianess/float support on target

This is the corrected version of the patch that uses NJ_SOFTFLOAT_SUPPORTED instead of NJ_SOFTFLOAT
Comment 3 Nicholas Nethercote [:njn] 2011-04-27 17:58:24 PDT
Comment on attachment 527825 [details] [diff] [review]
Select endianess/float support on target

Review of attachment 527825 [details] [diff] [review]:

r=me
Comment 4 Chris Dearman 2011-11-02 12:18:11 PDT
Can this be checked? I do not have commit access
Comment 5 Rick Reitmaier 2011-11-02 12:26:56 PDT
Take for landing.

Note You need to log in before you can comment on or make changes to this bug.